package lc.esp.engine.broker;

import lc.mecha.log.MechaLogger;
import lc.mecha.log.MechaLoggerFactory;
import org.apache.activemq.broker.Broker;
import org.apache.activemq.broker.BrokerFilter;

public class EnhancedBroker extends BrokerFilter {
    private static final MechaLogger logger = MechaLoggerFactory.getLogger(EnhancedBroker.class);

    public EnhancedBroker(Broker next) {
        super(next);
        logger.info("Created new Enhanced Broker. [broker: {}]", next);
    }
}
